Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.common11
Class Localise

    java.lang.Object
      com.mindprod.common11.Localise

    public class Localise

extends java.lang.Object

Miscellaneous static methods localising an app to a particular platform under JDK 1.1+.

There is a more efficient implemmentation of localise at com.mindprod.common15.Localise for JDK 1.5+.

Since:
  2009-05-03
Version:
  1.0 2009-05-03 - initial version, just localise(String)
Author:
  Roedy Green, Canadian Mind Products
See Also:
  "com.mindprod.hunkio.PrintWriterPortable", "com.mindprod.common11.Localise"

Field Summary
`protected static java.lang.String` | `lineSeparator` lineSeparator using now.

Constructor Summary
`Localise()`

Method Summary
`static java.lang.String` | `localise(java.lang.String s)` converts \n in String to configurable local line separator.
`static void` | `setLineSeparator(java.lang.String lineSeparator)` Use a line separator other than the system default.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineSeparator

    protected static java.lang.String lineSeparator

  lineSeparator using now.

Constructor Detail

### Localise

    public Localise()

Method Detail

### localise

    public static java.lang.String localise(java.lang.String s)

  converts \n in String to configurable local line separator. There is a more efficient implemmentation at localise at com.mindprod.common15.Localise for JDK 1.5+.

  Parameters:
    `s` - string with possible \ns embedded.
  Returns:
    string with \n converted to \r\n for Windows, \a for Mac, \n for Unix etc.
  See Also:
    "com.mindprod.common15.Localise.localise(String)"

### setLineSeparator

    public static void setLineSeparator(java.lang.String lineSeparator)

  Use a line separator other than the system default.

  Parameters:
    `lineSeparator` - Sequence to separate lines. usually Windows: "\r\n" Unix: "\n" or Mac: "\r". But could be anything.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD